[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

gcc44-compiled builds of some packages



Hi,
I'm trying to build cp2k in EL-5 branch, but it needs gfortran 4.4.0 or newer
and upstream is unwilling to support older gfortran. So I have to use
BR: gcc44-gfortran and do some patching. However, cp2k needs blas and lapack
(or atlas, with a little help), which links to libgfortran.so.1 (since it was
built with gcc-gfortran). Linking to both ligfortran.so.3 and .so.1 is not
a good idea, so I'd like some feedback from the maintainers of atlas and lapack
(on which atlas has BuildRequires:) on how to proceed. I believe building
additional subpackages from atlas and lapack containing libraries with modified
sonames is the best option.

What do you think?

Regards,
Dominik

-- 
Fedora http://fedoraproject.org/wiki/User:Rathann
RPMFusion http://rpmfusion.org | MPlayer http://mplayerhq.hu
"Faith manages."
        -- Delenn to Lennier in Babylon 5:"Confessions and Lamentations"


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]